Index: /extensions/ASearchEngine/ase_pip.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 10885)
+++ /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 10886)
@@ -65,4 +65,6 @@
     parent::initEvents();
 
+    add_event_handler('blockmanager_apply', array(&$this, 'blockManagerApply'), 40); // call ASE before AMM
+
     if($this->sectionPage->pageIsSection())
     {
@@ -71,5 +73,4 @@
       add_event_handler('init', array(&$this, 'applyJS'));
       add_event_handler('loc_begin_page_header', array(&$this->css2, 'applyCSS'), 9); // have to be loaded before other css file (event level from GPCCore=10)
-      add_event_handler('blockmanager_apply', array(&$this, 'blockmanagerApply'), 40); // call ASE before AMM
       add_event_handler('user_init', array(&$this, 'load_lang'));
     }
@@ -86,7 +87,4 @@
     global $template;
 
-
-    GPCCore::addHeaderJS('jquery', 'themes/default/js/jquery.packed.js');
-
     $theme=$template->get_themeconf('name');
 
@@ -100,5 +98,5 @@
     if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE1', $file);
 
-    $file='local/css/ASE'.$theme.'.css';
+    $file=PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'local/css/ASE'.$theme.'.css';
     if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE2', $file);
   }
@@ -144,5 +142,5 @@
    * replace the piwigo search.php url by ?/aSearch url
    */
-  public function blockmanagerApply($menu_ref_arr)
+  public function blockManagerApply($menu_ref_arr)
   {
     global $user, $page;
Index: /extensions/ASearchEngine/ase_version.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_version.inc.php	(revision 10885)
+++ /extensions/ASearchEngine/ase_version.inc.php	(revision 10886)
@@ -15,6 +15,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('ASE_VERSION',  '1.0.3');
-  define('ASE_VERSION2', '01.00.03');
-  define('ASE_GPC_NEEDED', '3.3.3');
+  define('ASE_VERSION',  '1.1.0');
+  define('ASE_VERSION2', '01.01.00');
+  define('ASE_GPC_NEEDED', '3.5.1');
 ?>
Index: /extensions/ASearchEngine/main.inc.php
===================================================================
--- /extensions/ASearchEngine/main.inc.php	(revision 10885)
+++ /extensions/ASearchEngine/main.inc.php	(revision 10886)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Advanced Search Engine
-Version: 1.0.3
+Version: 1.1.0
 Description: An advanced search engine
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=
@@ -44,4 +44,6 @@
 |         |            |   . optimization in css management
 |         |            |
+| 1.1.0   | 2011-04-26 | * mantis bug:2145
+|         |            |   . Compatibility with Piwigo 2.2
 |         |            |
 |         |            |
Index: /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 10886)
@@ -1,5 +1,5 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
-{known_script id="gpc.categorySelector" src=$ROOT_URL|@cat:"plugins/GrumPluginClasses/js/ui.categorySelector.packed.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
+{combine_script id="gpc.categorySelector" path="plugins/GrumPluginClasses/js/ui.categorySelector.min.js" require='jquery'}
 
 
Index: /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 10886)
@@ -1,13 +1,15 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
-{known_script id="jquery.ui.datepicker" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.datepicker.packed.js"}
-
-{assign var="datepicker_language" value="themes/default/js/ui/i18n/ui.datepicker-"|@cat:$lang_info.code|@cat:".js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
+{combine_script id="jquery.ui.datepicker" path="themes/default/js/ui/minified/jquery.ui.datepicker.min.js" require='jquery'}
+
+{assign var="datepicker_language" value="themes/default/js/ui/minified/i18n/jquery.ui.datepicker-"|@cat:$lang_info.code|@cat:".js"}
 {if "PHPWG_ROOT_PATH"|@constant|@cat:$datepicker_language|@file_exists}
-{known_script id="jquery.ui.datepicker-$lang_info.code" src=$ROOT_URL|@cat:$datepicker_language}
+{combine_script id="jquery.ui.datepicker-$lang_info.code" path=$datepicker_language}
 {/if}
+
 {html_head}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/default/js/ui/theme/ui.datepicker.css">
+<link rel="stylesheet" type="text/css" href="themes/default/js/ui/theme/jquery.ui.datepicker.css">
 {/html_head}
+
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_hd_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_hd_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_hd_choose.tpl	(revision 10886)
@@ -1,4 +1,4 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 10886)
@@ -1,4 +1,4 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl	(revision 10886)
@@ -1,4 +1,4 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl	(revision 10885)
+++ /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl	(revision 10886)
@@ -1,5 +1,5 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
-{known_script id="gpc.tagSelector" src=$ROOT_URL|@cat:"plugins/GrumPluginClasses/js/ui.tagSelector.packed.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
+{combine_script id="gpc.tagSelector" path="plugins/GrumPluginClasses/js/ui.tagSelector.min.js" require='jquery'}
 
 {literal}
Index: /extensions/ASearchEngine/templates/index.php
===================================================================
--- /extensions/ASearchEngine/templates/index.php	(revision 10886)
+++ /extensions/ASearchEngine/templates/index.php	(revision 10886)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ASearchEngine/themes/Sylvia/index.php
===================================================================
--- /extensions/ASearchEngine/themes/Sylvia/index.php	(revision 10886)
+++ /extensions/ASearchEngine/themes/Sylvia/index.php	(revision 10886)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ASearchEngine/themes/clear/index.php
===================================================================
--- /extensions/ASearchEngine/themes/clear/index.php	(revision 10886)
+++ /extensions/ASearchEngine/themes/clear/index.php	(revision 10886)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ASearchEngine/themes/dark/index.php
===================================================================
--- /extensions/ASearchEngine/themes/dark/index.php	(revision 10886)
+++ /extensions/ASearchEngine/themes/dark/index.php	(revision 10886)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>