Index: /extensions/piclens/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piclens/language/it_IT/plugin.lang.php	(revision 10894)
+++ /extensions/piclens/language/it_IT/plugin.lang.php	(revision 10895)
@@ -126,6 +126,10 @@
 $lang['piclens_wallcfg_disp_opt2']		= 'sulle catgorie';
 $lang['piclens_wallcfg_option']			= 'Optioni di visualizzazione del muro 3D Cooliris :';
+$lang['piclens_wallcfg_option-opt1']	= 'Visualizzazione del link  (embed) di condivisione per le reti sociali (Facebook, Twitter...) sul muro 3D';
 $lang['piclens_wallcfg_option-opt2']	= 'Visualizzazione del link "FullScreen"';
 $lang['piclens_wallcfg_option-opt3']	= 'Visualizzazione del link "Ricerca"';
+$lang['piclens_wallcfg_option-opt4']	= 'Visualizzazione del link di condivisione per le reti sociali (Facebook, Twitter...) sulla foto';
+$lang['piclens_wallcfg_option-opt5']	= 'Visualizzazione del link che punta verso la foto (pagina) originale';
+$lang['piclens_wallcfg_option-opt6']	= 'Visualizzazione del link di chiusura della finestra';
 $lang['piclens_wallcfg_transparent']	= 'Modo "Transparente" per il muro. <i>Necessario per certi temi horizontali</i>';
 $lang['piclens_wallcfg_param']			= 'Parametri per il muro 3D Cooliris :';
@@ -158,20 +162,20 @@
 $lang['piclens_wallcfg_colorL']         = 'Light';
 $lang['piclens_wallcfg_showChrome']     = 'Visualizzazione della barra "chrome" sotto al muro';
-$lang['piclens_wallcfg_showDescription']    = 'Visualizzazione delle descrizioni delle immagini';
-$lang['piclens_wallcfg_showReflections']    = 'Visualizzazione del riflesso delle immagini';
+$lang['piclens_wallcfg_showDescription'] = 'Visualizzazione delle descrizioni delle immagini';
+$lang['piclens_wallcfg_showReflections'] = 'Visualizzazione del riflesso delle immagini';
 $lang['piclens_wallcfg_showTutorial']   = 'Visualizzazione del aiuto al avvio del muro';
 $lang['piclens_wallcfg_showNavArrows']  = 'Visualizzazione delle frecce laterali';
-$lang['piclens_wallcfg_backgroundAlpha']    = 'Transparenza dello sfondo [0.0-1.0]';
-$lang['piclens_wallcfg_descriptionHeight']  = 'Dimensioni della zona di descrizione [0-100]';
+$lang['piclens_wallcfg_backgroundAlpha'] = 'Transparenza dello sfondo [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight'] = 'Dimensioni della zona di descrizione [0-100]';
 $lang['piclens_wallcfg_tilt']			= 'Inclinamento del muro [0-5]';
-$lang['piclens_wallcfg_backgroundColor']	= 'Colore dello sfondo';
+$lang['piclens_wallcfg_backgroundColor'] = 'Colore dello sfondo';
 $lang['piclens_wallcfg_glowColor']		= 'Colore dello sfondo del\'immagine selezionata';
-$lang['piclens_wallcfg_backgroundImage']    = 'URL del\'immagine dello sfondo';
+$lang['piclens_wallcfg_backgroundImage'] = 'URL del\'immagine dello sfondo';
 $lang['piclens_wallcfg_tutorial']		= 'URL del\'immagine del tutoriale iniziale';
 $lang['piclens_wallcfg_tutorialtime']   = 'Tempo di visualizzazione del tutoriale';
-$lang['piclens_wallcfg_customButtonURL']    = 'URL di un\'icona giù a destra del muro';
+$lang['piclens_wallcfg_customButtonURL'] = 'URL di un\'icona giù a destra del muro';
 $lang['piclens_wallcfg_customButtonTARGET'] = 'Link di un\'icona giù a desrea del muro';
-$lang['piclens_wallcfg_icons']		= 'Directory contenente i PNG per le icone personalizzate';
-$lang['piclens_wallcfg_linkCSS']	= 'Style css da applicare alle descrizioni';
+$lang['piclens_wallcfg_icons']			= 'Directory contenente i PNG per le icone personalizzate';
+$lang['piclens_wallcfg_linkCSS']		= 'Style css da applicare alle descrizioni';
 
 
@@ -215,5 +219,5 @@
 $lang['piclens_rss_title']		= 'Nome del flusso RSS generato <i>(vuoto per non visualizzarlo)</i>';
 
-/*TODO*/$lang['piclens_stuffs_description'] = 'Display piclens 3D wall';
-/*TODO*/$lang['piclens_stuffs_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
+$lang['piclens_stuffs_description'] = 'Visualizza un muro 3D piclens';
+$lang['piclens_stuffs_info_param'] = 'I parametri del muro 3D sono da modificare direttamente nella pagina di configurazione del plugin <b>Cooliris-piclens</b>';
 ?>