Index: /branches/2.2/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.2/language/es_ES/admin.lang.php	(revision 10900)
+++ /branches/2.2/language/es_ES/admin.lang.php	(revision 10901)
@@ -61,5 +61,5 @@
 $lang['Apply to sub-albums'] = 'Aplicar a los sub-álbumes';
 $lang['Associated'] = 'Asociada a';
-$lang['Batch management'] = 'Gestión por lote';
+$lang['Batch management'] = 'Gestión en grupo';
 $lang['Caddie management'] = 'Gestión del carrito';
 $lang['Caddie'] = 'carrito';
@@ -101,5 +101,5 @@
 $lang['Link all album photos to a new album'] = 'Asociar las fotografías del álbum a un nuevo álbum';
 $lang['Link all album photos to some existing albums'] = 'Asociar las fotografías del álbum a otros álbumes ya existentes';
-$lang['Linked albums'] = 'Albumes relacionados';
+$lang['Linked albums'] = 'Álbumes relacionados';
 $lang['Lock gallery'] = 'Bloquear la galería';
 $lang['Maintenance'] = 'Mantenimiento';
@@ -122,5 +122,5 @@
 $lang['Operating system'] = 'Sistema operativo';
 $lang['Options'] = 'Opciones';
-$lang['Other private albums'] = 'Otros álbumes privados';
+$lang['Other private albums'] = 'Álbumes privados';
 $lang['Page banner'] = 'Banner de las páginas';
 $lang['Parent album'] = 'Álbum de nivel superior';
@@ -149,5 +149,5 @@
 $lang['Representative'] = 'Imagen de portada';
 $lang['Represents'] = 'Es imagen de portada de';
-$lang['Save order'] = 'Guardar la disposición de los álbumes';
+$lang['Save order'] = 'Guardar el orden de presentación de los álbumes';
 $lang['Save to permalink history'] = 'Guardar en el historial de enlaces permanentes';
 $lang['Select at least one album'] = 'Seleccionar al menos un álbum';
@@ -166,5 +166,5 @@
 $lang['Unable to check for upgrade.'] = 'No ha sido posible comprobar si hay actualizaciones.';
 $lang['Uninstall'] = 'Desinstalar';
-$lang['Use the default photo sort order (defined in the configuration file)'] = 'utilizar la disposición por defecto (definida en el archivo de configuración)';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'el definido por defecto en el archivo de configuración';
 $lang['User comments validation'] = 'Comentarios pendientes de validar';
 $lang['Users'] = 'Usuarios';
@@ -177,5 +177,5 @@
 $lang['You are running on development sources, no check possible.'] = 'Está operando con código en desarrollo, no es posible verificar la última versión.';
 $lang['You cannot delete your account'] = 'No puede eliminar su propia cuenta';
-$lang['You cannot move an album in its own sub album'] = 'No se puede mover un álbum a  su proprio sub-album';
+$lang['You cannot move an album in its own sub album'] = 'No se puede mover un álbum a su proprio sub-álbum';
 $lang['You need to confirm deletion'] = 'Usted debe confirmar la supresión';
 $lang['add tags'] = 'Añadir las etiquetas';
@@ -207,5 +207,5 @@
 $lang['Dissociate from album'] = 'Separar del álbum';
 $lang['dissociate from group'] = 'Separar del grupo';
-$lang['edit album permissions'] = 'Modificar los permisos del álbum';
+$lang['edit album permissions'] = 'Establecer los permisos del álbum';
 $lang['Album updated successfully'] = 'Les informationes del álbum se actualizaron con exito.';
 $lang['photos per page'] = 'Fotografías por página';
@@ -234,11 +234,11 @@
 $lang['maximum width'] = 'Anchura máxima';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepasó el tiempo de ejecución, el tratamiento debe continuar [Tiempo estimado: %d segundos].';
-$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo que tarda en preparase la lista de destinatarios es limitado. No se muestran más usuaros.';
-$lang['Time to send mail is limited. Others mails are skipped.'] = 'El tiempo destinado a enviar emails es limitado. No se ha realizado el resto de envíos.';
+$lang['Prepared time for list of users to send email is limited. Others users are not listed.'] = 'El tiempo que tarda en preparase la lista de destinatarios es limitado. No se muestran más usuaros.';
+$lang['Time to send email is limited. Others emails are skipped.'] = 'El tiempo destinado a enviar emails es limitado. No se ha realizado el resto de envíos.';
 $lang['To send ?'] = '¿Enviar?';
 $lang['Last send'] = 'Último envío';
-$lang['email'] = 'Email';
+$lang['mail'] = 'Email';
 $lang['User'] = 'Usuario';
-$lang['Complementary mail content'] = 'Contenido complementario del email';
+$lang['Complementary mail content'] = 'Contenido ampliado del email';
 $lang['See you soon,'] = 'Hasta pronto,';
 $lang['Go to'] = 'Vaya a ';
@@ -249,5 +249,5 @@
 $lang['and'] = ' y él ';
 $lang['The webmaster has subscribed you to receiving notifications by mail.'] = 'El webmaster le ha inscrito par recibir notificaciones por email.';
-$lang['You have subscribed to receiving notifications by mail.'] = 'Acaba de inscribirse para recibir notificaciones por email.';
+$lang['You have subscribed to receiving notifications by email.'] = 'Acaba de inscribirse para recibir notificaciones por email.';
 $lang['To subscribe'] = 'Para inscribirse';
 $lang['If you encounter problems or have any question, please send a message to'] = 'Si encuentra algún problema o desea plantear cualquier cuestión, se ruega comunique vía email a ';
@@ -259,6 +259,6 @@
 $lang['With blank value, gallery title will be used'] = 'Si no establece ningún valor, se utilizará el título de la galería';
 $lang['Notification'] = 'Notificación';
-$lang['Error when sending email to %s [%s].'] = 'Error en el proceso de envío de email a %s [%s].';
-$lang['Mail sent to %s [%s].'] = 'Email enviado a %s [%s].';
+$lang['Error when sending mail to %s [%s].'] = 'Error en el proceso de envío de email a %s [%s].';
+$lang['mail sent to %s [%s].'] = 'Email enviado a %s [%s].';
 $lang['%d mail was sent.'] = '%s email ha sido enviado.';
 $lang['%d mails were sent.'] = '%s emails han sido enviados.';
@@ -268,5 +268,5 @@
 $lang['There is no available subscribers to mail.'] = 'No hay usuarios subscritos a los que enviar notificaciones.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Se muestran usuarios susceptibles de recibir comunicación sólo si se han incorporado nuevos elementos.';
-$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Puede que ningún ususario este inscrito (Sólo el webmaster tiene acceso a esta pestaña).';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Puede que ningún usuario este inscrito (Sólo el webmaster tiene acceso a esta pestaña).';
 $lang['No user to send notifications by mail.'] = 'No se han indicado usuarios a los que enviar notificaciones por email.';
 $lang['New photos added'] = 'Nuevas fotografías añadidas';
@@ -275,7 +275,8 @@
 $lang['Parameter'] = 'Parámetros';
 $lang['Continue processing treatment'] = 'Continuar el proceso en curso...';
-$lang['Add detailed content'] = 'Añadir contenido detallado';
+$lang['Complementary email content'] = 'Contenido ampliado del email';
+$lang['Add detailed content'] = 'Añadir contenido ampliado';
 $lang['Send mail as'] = 'Enviar email como';
-$lang['Send mail to users'] = 'Enviar email a los ususarios';
+$lang['Send mail to users'] = 'Enviar email a los usuarios';
 $lang['Send'] = 'Enviar';
 $lang['Options'] = 'Opciones';
@@ -284,18 +285,18 @@
 $lang['Parameters'] = 'Parámetros';
 $lang['Select recipients'] = 'Seleccionar destinatarios';
-$lang['Subscribe/unsubscribe users'] = 'Incluir / excluir ususarios';
+$lang['Subscribe/unsubscribe users'] = 'Incluir / excluir usuarios';
 $lang['Unsubscribed'] = 'No incluidos';
 $lang['%d parameter was updated.'] = '%d parámetro ha sido actualizado.';
 $lang['%d parameters were updated.'] = '%d parámetros han sido actualizados.';
-$lang['%d user was not updated.'] = '%d ususario no ha sido actualizado.';
-$lang['%d users were not updated.'] = '%d ususarios no han sido actualizados.';
-$lang['User %s [%s] was removed from the subscription list.'] = 'El ususario %s [%s] ha sido eliminado de la lista de subscripciones.';
-$lang['User %s [%s] was added to the subscription list.'] = 'El ususario %s [%s] ha sido añadido a la lista de subscripciones.';
-$lang['%d user was updated.'] = '%d ususario ha sido actualizado.';
-$lang['%d users were updated.'] = '%d ususarios han sido actualizados.';
-$lang['User %s [%s] was not removed from the subscription list.'] = 'El ususario %s [%s] no ha sido eliminado de la lista de subscripciones.';
-$lang['User %s [%s] was not added to the subscription list.'] = 'El ususario %s [%s] no ha sido añadido a la lista de subscripciones.';
-$lang['User %s [%s] added.'] = 'Se ha añadido el ususario %s [%s].';
-$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Tenga en cuenta que la subscripción o su cancelación será notificada por email a los ususarios interesados';
+$lang['%d user was not updated.'] = '%d usuario no ha sido actualizado.';
+$lang['%d users were not updated.'] = '%d usuarios no han sido actualizados.';
+$lang['User %s [%s] was removed from the subscription list.'] = 'El usuario %s [%s] ha sido eliminado de la lista de subscripciones.';
+$lang['User %s [%s] was added to the subscription list.'] = 'El usuario %s [%s] ha sido añadido a la lista de subscripciones.';
+$lang['%d user was updated.'] = '%d usuario ha sido actualizado.';
+$lang['%d users were updated.'] = '%d usuarios han sido actualizados.';
+$lang['User %s [%s] was not removed from the subscription list.'] = 'El usuario %s [%s] no ha sido eliminado de la lista de subscripciones.';
+$lang['User %s [%s] was not added to the subscription list.'] = 'El usuario %s [%s] no ha sido añadido a la lista de subscripciones.';
+$lang['User %s [%s] added.'] = 'Se ha añadido el usuario %s [%s].';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Tenga en cuenta que la subscripción o su cancelación será notificada por email a los usuarios interesados';
 $lang['Send mail on HTML format'] = 'Enviar el email en formato HTML';
 $lang['Include display of recent photos grouped by dates'] = 'Incluir una muestra de las fotografías más recientes agrupadas por fecha';
@@ -343,11 +344,11 @@
 $lang['Album list management'] = 'Administración de álbumes';
 $lang['Piwigo configuration'] = 'Configuración de Piwigo';
-$lang['Edit album'] = 'Modificar un álbum';
+$lang['Edit album'] = 'Editar la información del álbum';
 $lang['Group management'] = 'Gestión de grupos';
 $lang['User list'] = 'Lista de usuarios';
-$lang['Edit photo information'] = 'Modificar toda la información vinculadas a esta fotografía';
+$lang['Edit photo information'] = 'Editar la información vinculada a esta fotografía';
 $lang['Thumbnail creation'] = 'Creación de miniaturas';
-$lang['Database synchronization with files'] = 'Sincronización de la base de datos a partir de los archivos';
-$lang['all'] = 'todos';
+$lang['Database synchronization with files'] = 'Sincronización de la base de datos con los archivos residentes en: ';
+$lang['all'] = 'todas';
 $lang['photos without thumbnail (jpeg and png only)'] = 'fotografías sin miniatura (jpeg y png únicamente)';
 $lang['height must be a number superior to'] = 'la altura debe ser  un entero superior a';
@@ -418,5 +419,5 @@
 $lang['user_status_normal'] = 'Visitante';
 $lang['user_status_webmaster'] = 'Webmaster';
-$lang['Virtual album'] = 'Album';
+$lang['Virtual album'] = 'Álbum';
 $lang['Waiting'] = 'En espera';
 $lang['default'] = 'por defecto';
@@ -437,5 +438,5 @@
 $lang['Save page visits by users'] = 'Registrar las páginas visitadas por los usuarios';
 $lang['Save page visits by administrators'] = 'Registrar las páginas visitadas por los administradores';
-$lang['An information email was sent to group "%s"'] = 'Se ha enviado un email informativo a los miembros del grupo "%s"';
+$lang['An information mail was sent to group "%s"'] = 'Se ha enviado un email informativo a los miembros del grupo "%s"';
 $lang['Send an information email to group members'] = 'Enviar un email informativo a los miembros del grupo';
 $lang['Group'] = 'Grupo';
@@ -450,7 +451,7 @@
 $lang['Element type'] = 'Tipo de elemento';
 $lang['Image id'] = 'ID de la imagen';
-$lang['Summary'] = 'Resumen';
-$lang['%d line filtered'] = '%d línea filtrada';
-$lang['%d lines filtered'] = '%d Líneas filtradas';
+$lang['Summary'] = 'Resultados';
+$lang['%d line filtered'] = '%d registro seleccionado';
+$lang['%d lines filtered'] = '%d registros seleccionados';
 $lang['%d guest'] = '%d invitado';
 $lang['%d guests'] = '%d Invitados';
@@ -483,5 +484,5 @@
 $lang['Main "guest" user does not exist'] = 'El usuario "invitado" no existe';
 $lang['Main "guest" user status is incorrect'] = 'El estatus del usuario "invitado" es incorrecto';
-$lang['Default user does not exist'] = 'El usuario por defecto no existe más';
+$lang['Default user does not exist'] = 'El usuario por defecto no existe';
 $lang['Main "webmaster" user does not exist'] = 'El usuario "webmaster" no existe';
 $lang['Main "webmaster" user status is incorrect'] = 'El estatus del usuario "webmaster" es incorrecto';
@@ -553,13 +554,13 @@
 $lang['Replacers (customized templates)'] = 'Template personalizado';
 $lang['Original templates'] = 'Sustituye al original';
-$lang['Optional URL keyword'] = 'Parámetro opcional de la URL';
+$lang['Optional URL keyword'] = 'Si la URL contiene';
 $lang['Templates configuration has been recorded.'] = 'Se ha guardado la configuración de templates.';
 $lang['All optimizations have been successfully completed.'] = 'La optimización han sido realizada.';
 $lang['Optimizations have been completed with some errors.'] = 'Algunos procesos de optimización terminaron en error.';
-$lang['Modify information'] = 'Modificar la información';
+$lang['Modify information'] = 'Editar la información';
 $lang['edit album'] = 'Editar la información del álbum';
 $lang['nothing'] = 'nada';
 $lang['overrides existing values with empty ones'] = 'reemplazar los valores existentes por valores vacíos';
-$lang['manage photo ranks'] = 'establecer la disposición de las fotografías';
+$lang['manage photo ranks'] = 'Establecer la disposición de las fotografías';
 $lang['Manage photo ranks'] = 'Establecer la disposición de las fotografías';
 $lang['Edit ranks'] = 'Modificar la disposición';
@@ -576,6 +577,7 @@
 $lang['Released on'] = 'Añadido';
 $lang['Number of downloads'] = 'Número de descargas';
+// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Quédese en contacto con el proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-email cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior sobrevengá sobre el proyecto. Solamente algunos mensajes al año.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive mails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few mails a year.'] = 'Quédese en contacto con el proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-email cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior sobrevengá sobre el proyecto. Solamente algunos mensajes al año.';
 $lang['Subscribe %s'] = 'Suscribir la newsletter inglesa %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Suscribir %s a la newsletter Piwigo';
@@ -616,5 +618,5 @@
 $lang['Privacy level set to "%s"'] = 'Nivel de confidencialidad "%s"';
 $lang['Album "%s" now contains %d photos'] = 'EL álbum "%s" contiene ahora %d fotografías';
-$lang['Manage this set of %d photos'] = 'Administrar este lote de %d fotografías';
+$lang['Manage this set of %d photos'] = 'Administrar esta selección de %d fotografías';
 $lang['Select files'] = 'Seleccionar archivos';
 $lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Archivos JPEG o archivos ZIP que contengan archivos JPEG, por favor.';
@@ -654,14 +656,14 @@
 $lang['Install on your computer,'] = 'Instálelo en su ordenador';
 $lang['Make this theme available to users'] = 'Hacer que este tema esté disponible para los usuarios';
-$lang['Page end'] = 'Fin de página';
+$lang['Page end'] = 'Ir al final de la página';
 $lang['Piwigo Uploader'] = 'Piwigo Uploader';
 $lang['Read Piwigo Documentation'] = 'Leer la documentación de Piwigo';
-$lang['Start pLoader and add your photos.'] = 'Ejecute pLoader y añada sus fotografías.';
+$lang['Start pLoader and add your photos.'] = 'Ejecute pLoader y añada las fotografías.';
 $lang['Switch to clear or dark colors for administration'] = 'Elegir colores claros u oscuros para  el entorno de administración';
 $lang['Theme has been successfully installed'] = 'El tema ha sido instalado con éxito';
 $lang['Visit Gallery'] = 'Visitar la galería';
 $lang['Visit Piwigo project website'] = 'Visitar el sitio Web del proyecto Piwigo';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader es sinónimo de <em>Piwigo Uploader</em>. Desde su ordenador, pLoader prepara sus fotografías y las transfiere a la galería fotográfica.';
-$lang['Guest Settings'] = 'Parámetros de invitado';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader es acrónimo de <em>Piwigo Uploader</em>. Desde su ordenador, pLoader prepara las fotografías y las transfiere a la galería fotográfica.';
+$lang['Guest Settings'] = 'Visualización por defecto';
 $lang['Main Page'] = 'Página principal';
 $lang['Photo Page'] = 'Página de la fotografía';
@@ -682,5 +684,5 @@
 $lang['Webmaster status is required.'] = 'Se requiere estatus de "webmaster".';
 $lang['Bound Theme'] = 'Tema asociado';
-$lang['Allow rating'] = 'Permitir las asignación de calificaciones';
+$lang['Allow rating'] = 'Permitir la asignación de calificaciones';
 $lang['Select at least one comment'] = 'Seleccione al menos un comentario';
 $lang['Active Plugins'] = 'Plugins activados';
@@ -726,7 +728,7 @@
 $lang['Unknown upload error'] = 'Se ha producido un error desconocido durante la transferencia';
 $lang['Error on file "%s" : %s'] = 'Error en el archivo "%s" : %s';
-$lang['automatic order'] = 'automática';
-$lang['manual order'] = 'la establecida aquí manualmente';
-$lang['Albums automatically sorted'] = 'Las categorías han sido clasificadas automáticamente';
+$lang['automatic order'] = 'automático';
+$lang['manual order'] = 'el establecido aquí manualmente';
+$lang['Albums automátically sorted'] = 'Las categorías han sido clasificadas automáticamente';
 $lang['Keep high definition'] = 'Guardar en alta definición';
 $lang['The high definition maximum width must be a number between %d and %d'] = 'La anchura máxima para alta definición debe especificarse mediante un número entre %d et %d';
@@ -734,5 +736,5 @@
 $lang['The high definition image quality must be a number between %d and %d'] = 'La calidad de la imagen para la alta definición tiene que ser un número entre %d et %d';
 $lang['Batch Manager'] = 'Gestion por lote';
-$lang['include child albums'] = 'Incluir los sub-álbumes';
+$lang['include child albums'] = 'Incluir sub-álbumes';
 $lang['Selection'] = 'Selección';
 $lang['Action'] = 'Acción';
@@ -743,17 +745,17 @@
 $lang['on the %d selected photos'] = 'en las %d fotografías seleccionadas';
 $lang['%d of %d photos selected'] = 'Se han seleccionado %d fotografías de %d ';
-$lang['No photo selected, %d photos in current set'] = 'No se ha marcado ninguna fotografía de entre las %d seleccionadas en este lote';
-$lang['All %d photos are selected'] = 'Se han seleccionado las %d fotografías del lote';
-$lang['remove this filter'] = 'eliminar este filtro';
-$lang['predefined filter'] = 'filtro predefinido';
+$lang['No photo selected, %d photos in current set'] = 'No se ha marcado ninguna fotografía de entre las %d seleccionadas';
+$lang['All %d photos are selected'] = 'Se han seleccionado las %d fotografías';
+$lang['remove this filter'] = 'eliminar esta condición';
+$lang['predefined filter'] = 'predefinidos';
 $lang['last import'] = 'última importación';
 $lang['with no virtual album'] = 'sin álbum virtual';
-$lang['duplicates'] = 'duplicados';
-$lang['Add a filter'] = 'Añadir un filtro';
-$lang['Remove all filters'] = '  Eliminar todos los filtros';
-$lang['Refresh photo set'] = 'Actualizar el lote de fotografías';
+$lang['duplicates'] = 'duplicadas';
+$lang['Add a filter'] = 'Añadir una condición';
+$lang['Remove all filters'] = '  Eliminar todas las condiciones';
+$lang['Refresh photo set'] = 'Actualizar la selección de fotografías';
 $lang['The whole page'] = 'Página entera';
-$lang['The whole set'] = 'Todo el lote';
-$lang['No photo in the current set.'] = 'No hay ninguna fotografía en el lote.';
+$lang['The whole set'] = 'Todas las fotografías seleccionadas';
+$lang['No photo in the current set.'] = 'No se ha seleccionado ninguna fotografía.';
 $lang['No photo selected, no action possible.'] = 'No hay fotografías seleccionadas, por lo que no se puede ejecutar ninguna acción.';
 $lang['Choose an action'] = 'Seleccione una acción';
@@ -765,5 +767,5 @@
 $lang['with no album'] = 'sin álbum';
 $lang['with no tag'] = 'sin etiqueta';
-$lang['Album photos associated to the following albums: %s'] = 'Las fotografías del álbum se han asociado con los álbumes sigientes: %s';
+$lang['Álbum photos associated to the following albums: %s'] = 'Las fotografías del álbum se han asociado con los álbumes sigientes: %s';
 $lang['Delete orphan tags'] = 'Eliminar las etiquetas huérfanas ';
 $lang['delete photo'] = 'Eliminar la fotografía';
@@ -780,8 +782,3 @@
 $lang['Visit language site'] = 'Visita el sitio web del idioma';
 $lang['New Version'] = 'Nueva versión';
-$lang['Obsolete Plugins'] = 'Estos plugins son pbsoletos';
-$lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = 'ADVERTENCIA! Este plugin no parece ser compatible con esta versión de Piwigo.';
-$lang['Do you want to activate anyway?'] = '¿Quiere activarlo de todos modos?';
-$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'ESTE PLUGIN ES AHORA PARTE DEL CORE DE PIWIGO! PUEDE DESINSTALARLO AHORA! ';
-$lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: Este plugin FALTA PERO ESTÁ INSTALADO! DESINSTALAR YA!.';
 ?>