Index: extensions/Autosize/language/sv_SE/description.txt
===================================================================
--- extensions/Autosize/language/sv_SE/description.txt	(revision 10904)
+++ extensions/Autosize/language/sv_SE/description.txt	(revision 10904)
@@ -0,0 +1,1 @@
+Permet d'ajuster automatiquement l'affichage en fonction de la fenêtre de l'explorateur.
Index: extensions/Autosize/language/sv_SE/index.php
===================================================================
--- extensions/Autosize/language/sv_SE/index.php	(revision 10904)
+++ extensions/Autosize/language/sv_SE/index.php	(revision 10904)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Autosize/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/Autosize/language/sv_SE/plugin.lang.php	(revision 10904)
+++ extensions/Autosize/language/sv_SE/plugin.lang.php	(revision 10904)
@@ -0,0 +1,28 @@
+<?php
+global $lang;
+
+$lang['cl_autosize_miniheight2'] = 'Minsta bildhöjd';
+$lang['cl_autosize_miniwidth2'] = 'Största bildstorlek';
+$lang['cl_autosize_hlp_line32'] = "Minsta bildstorlek. " ;
+$lang['cl_autosize_enabled'] = "Aktiverad";
+$lang['cl_autosize_desc_view'] = "Inkludera beskrivning och licens i beräkningen.";
+$lang['cl_autosize_icon_view'] = "Visa en ikon i verktygsraden";
+$lang['cl_autosize_info_2'] = "Ingen visning av storleksändring.";
+$lang['cl_autosize_info'] = 'Tillåter automatisk storleksändring med hänsyn tagen till fönsterstorlek.';
+$lang['cl_autosize_Howto'] = 'Visningshantering';
+$lang['cl_autosize_config_title_1'] = 'Hantera maximala värden';
+$lang['cl_autosize_hlp_line1'] = 'Maximal visningsstorlek med hänsyn tagen till användarens status.<br>Värden anges i procent (%) eller i pixels (px).';
+$lang['cl_autosize_height'] = 'Höjd';
+$lang['cl_autosize_width'] = 'Bredd';
+$lang['cl_autosize_config_title_2'] = 'Minimivärden';
+$lang['cl_autosize_hlp_line2'] = 'Minsta bildstorlek för att aktivera den automatiska storleksförändringen.';
+$lang['cl_autosize_miniheight'] = 'Minsta höjd';
+$lang['cl_autosize_miniwidth'] = 'Minsta bredd';
+$lang['cl_autosize_hlp_line3'] = 'Den automatiska storleksändringen kommer att avaktiveras om bildens storlek är mindre än angivet värde.';
+$lang['cl_autosize_echelle_max'] = 'Maxskala.';
+$lang['cl_autosize_hlp_line4'] = 'Den automatiska storleksförändringen kommer att beskäras till detta värde, om förstoringsgraden (verklig bildstorlek / visad bildstorlek) är ovanstående.';
+$lang['cl_autosize_marge_basse'] = 'Bottenmarginal.';
+$lang['cl_autosize_hlp_line5'] = 'Sparad bottenstorlek, för att visa text';
+$lang['cl_autosize_save'] = 'Spara';
+$lang['cl_autosize_save_config'] = 'Spara konfiguration.'; 
+?>