Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 10912)
+++ /extensions/Autosize/autosize.inc.php	(revision 10913)
@@ -70,5 +70,5 @@
         'cl_version' => $cl_plugin['version'] ,
         'name' => $cl_plugin['name'] ,
-                        						 
+        'pamoorama' =>  isset($PAMOORAMICS_PATH)?"true":"false",                						 
         'theme' => $theme  ,
         'DEBUG_autosize' =>  $DEBUG_autosize ,
@@ -168,13 +168,5 @@
 
         $template->set_filenames(array('autosize_content_header'=> $file ));  
-
-         
-       if (PHPWG_VERSION < 2.2 ) 
-                $file =AUTOSIZE_PATH_ABS.'template/header_2_1.tpl' ;
-        else 
-                $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
-
-                $template->set_filenames(array('autosize_content_header2'=> $file ));  
-                $template->concat('autosize_content', $template->parse('autosize_content_header2', true));   
+        $template->concat('autosize_content', $template->parse('autosize_content_header', true));   
                         
         $template->set_filenames(array('autosize_init_header'=> $file ));
Index: /extensions/Autosize/css/autosize.css
===================================================================
--- /extensions/Autosize/css/autosize.css	(revision 10912)
+++ /extensions/Autosize/css/autosize.css	(revision 10913)
@@ -60,7 +60,6 @@
 }
 .navThumbNextBg{
-   right:0px; 
+ 
 }
- #navThumbNextContainer {
-  right:90px; 
-}
+
+
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 10912)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 10913)
@@ -18,4 +18,6 @@
 
 }
+nu_img = 0;
+tempo=0;
 
 function Wait_pamoorama() {
@@ -23,4 +25,8 @@
         mypanorama = window.myPamoorama;
         if (!mypanorama) {
+          tempo = tempo + 1;
+          if (tempo > 10) 
+          return true;
+
             setTimeout("Wait_pamoorama()", 500);
             return false;
@@ -43,5 +49,5 @@
     }
 }
-nu_img = 0;
+
 
 //==========================================================================
@@ -253,5 +259,5 @@
                function (event, ui) {
                  List_autosize_resize(event, ui);
-
+                 jQuery().newResize();
                });
 
@@ -491,5 +497,5 @@
            switch (Type_Img) {
              case "map":
-               img_reelle.height = info_img.height;
+               img_reelle.height = winheight; // info_img.height;
                info_map = jQuery("#mapPicture").infos();
                jQuery("#map").css("left", info_map.width + "px");
@@ -1030,4 +1036,9 @@
              jQuery("#navThumbNext").css({ display: 'none' });
              jQuery("#navThumbPrev").css({ display: 'none' });
+             jQuery("#theImage").css({ marginTop: info_ToolBar.height+"px", marginLeft: "0px",
+               width: winwidth+"px",
+               height: winheight + "px"
+             });
+             //mapPicture 
            }
            try {
@@ -1041,27 +1052,18 @@
                    gallyPP = new GallyPP();
 
-                iph= jQuery("#imageHeaderBar").infos();
-                jQuery("#imageToolBar").css({ top: iph.bottom + "px", position: "absolute" });
-                jQuery("#theImage").width(winwidth);
+                 iph = jQuery("#imageHeaderBar").infos();
+                 jQuery("#imageToolBar").css({ top: iph.bottom + "px", position: "absolute" });
+                 jQuery("#theImage").width(winwidth);
                }
                //===========================================================================
-               /*   
                if (jQuery("#navThumbPrev").length > 0) {
-               jQuery("#navThumbPrev").css({ left: 20 + "px",
-               overflow: "hidden"
-               });
-
+                 jQuery("#navThumbPrevContainer").css({ left: "0px"
+                 });
                }
                if (jQuery("#navThumbNext").length > 0) {
-               jQuery("#navThumbNext").css({ right: 20 + "px",
-               overflow: "hidden"
-               });
-
-               }
-               */
-
+                 jQuery("#navThumbNextContainer").css({ left: "0px"
+                 });
+               }
                //=============================================================================
-
-
                if (!theme.match(RegExp("lapis", "gi"))) {
                  if (typeof initializeImageMode == "function") {
@@ -1536,7 +1538,5 @@
 jQuery(function () {
   //'gallyInterfaceReady' 
-            jQuery(Document).live('gallyInterfaceReady',function () {
-               alert("Clic sur a#test1.");
-            });
+
     jQuery('#pamoorama').live('ON', function (e) {
         jQuery(jQuery('.debug').get(1)).trigger('ON');
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 10912)
+++ /extensions/Autosize/js/conflit.js	(revision 10913)
@@ -64,4 +64,10 @@
 nbpa = 0;
 var Fn;
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
+
+} else {
+  $mootools = $;
+}
+//====================================================
 function conflit(element, nc) {
      //--- cl_conflit
@@ -227,5 +233,9 @@
         return a;
     },
-
+    removeListener: function (B, A) {
+  if (this.removeEventListener) { this.removeEventListener(B, A, false); } else {
+    this.detachEvent("on" + B, A);
+  } return this;
+} ,
     //---------------- luciano -------------------------------
     $Luciano: function (el, nc) {
@@ -558,11 +568,12 @@
             $ = my$;
         }
+          
+   
+
     });
 
 })(jQuery);
 
-if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
-
-} else {}
+
     //--------------------------------------------------------------
     $_0 = $;
Index: /extensions/Autosize/js/conflit_2.js
===================================================================
--- /extensions/Autosize/js/conflit_2.js	(revision 10913)
+++ /extensions/Autosize/js/conflit_2.js	(revision 10913)
@@ -0,0 +1,18 @@
+﻿
+//=== ajout des fonctions jQuery ===
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
+  $mootools = window.$;
+} else {
+  if (typeof jQuery != 'undefined') {
+    if (typeof $mootools != 'undefined') {
+      if (typeof (gmaps) != "undefined") {
+      }
+      $ = jQuery.fn.$;
+      jQuery.extend($, $mootools);
+      jQuery.extend($, jQuery.fn);
+    } else {
+      $ = jQuery.fn.$;
+      jQuery.extend($, jQuery.fn);
+    }
+  }
+}
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 10912)
+++ /extensions/Autosize/main.inc.php	(revision 10913)
@@ -24,7 +24,7 @@
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
 
-add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL  );
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20  ,  2);	
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), EVENT_HANDLER_PRIORITY_NEUTRAL+21  );
 
-add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script_1'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20  ,  2);	
 add_event_handler('loc_end_page_tail',array(&$autosize_controler, 'cl_autosize_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
 ?>
Index: /extensions/Autosize/template/header_2_2.tpl
===================================================================
--- /extensions/Autosize/template/header_2_2.tpl	(revision 10912)
+++ /extensions/Autosize/template/header_2_2.tpl	(revision 10913)
@@ -1,5 +1,17 @@
-{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"}
+{if not empty($pamoorama)}
+
+ <script  id="pamoorama0.3" src="plugins/paMOOramics/js/pamoorama0.3.js" type="text/jscript"></script>
+<script id="mootools" src="plugins/paMOOramics/js/mootools.js" type="text/jscript"></script>
+
+
+{else}{/if}{combine_script id="conflit_script0" load="header" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js"
+require="jquery" }
+{combine_script id="conflit_script"  path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery" }
 {combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
-{combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery"}
 {combine_script id="autosize.dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"}
 {combine_script id="autosize.cookie" path = $AUTOSIZE_PATH|@cat:"js/autosize.cookie.js" require="jquery"}
+
+
+{combine_script id="conflit_script2" load="async" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js" require="jquery" }
+
+ 
Index: /extensions/Autosize/template/picture_2_2.tpl
===================================================================
--- /extensions/Autosize/template/picture_2_2.tpl	(revision 10912)
+++ /extensions/Autosize/template/picture_2_2.tpl	(revision 10913)
@@ -1,1 +1,1 @@
-{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,autosize.cookie' }
+{combine_script id="Affiche_script" path= $AUTOSIZE_PATH|@cat:"js/Affiche_script.js" require='jquery,autosize.cookie,conflit_script' }