Index: /extensions/piclens/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piclens/language/it_IT/plugin.lang.php	(revision 10922)
+++ /extensions/piclens/language/it_IT/plugin.lang.php	(revision 10923)
@@ -34,5 +34,5 @@
 $lang['piclens_cfg_title'] 				= 'Piclens : Configurazione';
 $lang['piclens_cfg_piclens_actived']	= 'Attivazione del plugin Cooliris/Piclens';
-$lang['piclens_cfg_recursiv_actived']	= 'Attivazione della recorsività sulle sottocategorie';
+$lang['piclens_cfg_recursiv_actived']	= 'Attivazione della recorsività sui sub-album';
 $lang['piclens_cfg_root_actived']		= 'Attivazione di Piclens su tutta la galeria (sulla pagina principale)';
 $lang['piclens_cfg_lite_actived']		= 'Attivazione di PiclensLite (versione Piclens senza plugins navigatore)';
@@ -41,10 +41,10 @@
 $lang['piclens_cfg_plugins_actived']	= 'Attivazione della compatibilità con il Plugin <b><u><i>%s</i></u></b>';
 $lang['piclens_label_plugins']			= 'Plugin <b><u><i>%s</i></u> Installato </b>ed <b>attivato</b>';
-$lang['piclens_secureimage_detail']		= 'Utilizzo del metodo getFile del plugin SecureImage per scaricare le immagini (miniature, normali e high).';
-$lang['piclens_extendeddesc_detail']	= 'Presa in conto dei tag di lingua [lang] per la descrizione delle immagini e del tag < !--hidden-- > per le immagini e le categorie da nascondere.';
+$lang['piclens_secureimage_detail']		= 'Utilizzo del metodo getFile del plugin SecureImage per scaricare le foto (miniature, normali e high).';
+$lang['piclens_extendeddesc_detail']	= 'Presa in conto dei tag di lingua [lang] per la descrizione delle foto e del tag < !--hidden-- > per le foto e gli album da nascondere.';
 
 $lang['piclens_cfg_specials_actived']	= 'Attivazione di Piclens sulle pagine "speciale"';
-$lang['piclens_recentpics_label'] 		= 'Immagini recenti';
-$lang['piclens_recentcats_label'] 		= 'Categorie recenti';
+$lang['piclens_recentpics_label'] 		= 'Foto recenti';
+$lang['piclens_recentcats_label'] 		= 'Album recenti';
 $lang['piclens_mostvisited_label'] 		= 'Le più viste';
 $lang['piclens_bestrated_label'] 		= 'Le meglio notate';
@@ -58,8 +58,8 @@
 $lang['piclens_recursive_standard']		= 'Standard';
 $lang['piclens_recursive_standard_title']= 'Modo Standard ';
-$lang['piclens_recursive_standard_detail']= 'Pagina Principale <br> \-Categoria A <br> \ \-Sottocategoria AA <br> \ \ \-immagini_AAxx <br> \ \ <br> \ \-Sottocategoria AB <br> \ \ \-immagini_ABxx <br> \ <br> \-Categoria B <br> \-Sottocategoria BA <br> \ \-immagini_BAxx <br> \ <br> \-Sottocategoria BB <br> \-immagini_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le immagini delle categorie A e B e delle loro sottocategorie (flusso Home) <br>-Su ogni categoria (ex. A), 1 flusso contenente tutte le immagini della categoria e delle sottocategorie (ex. A e AA e AB)<br>';
+$lang['piclens_recursive_standard_detail']= 'Pagina Principale <br> \-Album A <br> \ \-Sub-album AA <br> \ \ \-foto_AAxx <br> \ \ <br> \ \-Sub-album AB <br> \ \ \-foto_ABxx <br> \ <br> \-Album B <br> \-Sub-album BA <br> \ \-foto_BAxx <br> \ <br> \-Sub-album BB <br> \-foto_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le foto degli album A e B e dei loro sub-album (flusso Home) <br>-Su ogni album (ex. A), 1 flusso contenente tutte le foto dell\'album e dei sub-album (ex. A e AA e AB)<br>';
 $lang['piclens_recursive_specifique']	= 'Secifica';
 $lang['piclens_recursive_specifique_title']= 'Modo Specifico ';
-$lang['piclens_recursive_specifique_detail']= 'Pagina Principale <br> \-Categoria A <br> \ \-Sottocategoria AA <br> \ \ \-immagini_AAxx <br> \ \ <br> \ \-Sottocategoria AB <br> \ \ \-immagini_ABxx <br> \ <br> \-Categoria B <br> \-Sottocategoria BA <br> \ \-immagini_BAxx <br> \ <br> \-Sottocategoria BB <br> \-immagini_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le immagini delle respettive sottocategorie (ex. flusso A e flusso B) <br>-Su ogni categoria (ex. A), 1 flusso per la categoria contenente tutte le immagini della categoria (ex. flusso A) e 1 flusso per sottocategoria contenente tutte le immagini della sottocategoria (ex. flusso AA e flusso AB)<br>';
+$lang['piclens_recursive_specifique_detail']= 'Pagina Principale <br> \-Album A <br> \ \-Sub-album AA <br> \ \ \-foto_AAxx <br> \ \ <br> \ \-Sub-album AB <br> \ \ \-foto_ABxx <br> \ <br> \-Album B <br> \-Sub-album BA <br> \ \-foto_BAxx <br> \ <br> \-Sub-album BB <br> \-foto_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le foto dei respettivi sub-album (ex. flusso A e flusso B) <br>-Su ogni album (ex. A), 1 flusso per l\'album contenente tutte le foto dell\'album (ex. flusso A) e 1 flusso per sub-album contenente tutte le foto del sub-album (ex. flusso AA e flusso AB)<br>';
 
 $lang['piclens_recurs_mode_rem']		= '<i>Qualsiasi il metodo scelto, il muro 3D "Cooliris 3D Wall"(scheda 3) funziona in <b>modo Standard</b></i>';
@@ -71,11 +71,11 @@
 $lang['piclens_rsscfg_ext2']			= 'Nota : !NULL! corrisponde alle entrate senza miniature/thumbnails (certi file video [.flv per esempio])';
 
-$lang['piclens_rsscfg_TNtype']			= 'Tipo d\'immagine utilizzata per le miniature Piclens';
-$lang['piclens_rsscfg_IMGtype']			= 'Tipo d\'immagine utilizzata per la visualizzazione Piclens';
+$lang['piclens_rsscfg_TNtype']			= 'Tipo di foto utilizzata per le miniature Piclens';
+$lang['piclens_rsscfg_IMGtype']			= 'Tipo di foto utilizzata per la visualizzazione Piclens';
 $lang['piclens_rsscfg_order']			= 'Ordine di visualizzazione delle foto di Piclens';
 $lang['piclens_rsscfg_order1']			= 'Ordine in Piclens';
-$lang['piclens_rsscfg_name'] 			= 'Nome delle immagini in Piclens';
-$lang['piclens_rsscfg_namecat']			= 'Visualizzazione del nome della categoria';
-$lang['piclens_rsscfg_desc'] 			= 'Descrizione delle immagini in Piclens';
+$lang['piclens_rsscfg_name'] 			= 'Nome delle foto in Piclens';
+$lang['piclens_rsscfg_namecat']			= 'Visualizzazione del nome dell\'album';
+$lang['piclens_rsscfg_desc'] 			= 'Descrizione delle foto in Piclens';
 $lang['piclens_rsscfg_video'] 			= 'Attivazione delle video nell\'interfacia Piclens/Cooliris';
 
@@ -88,9 +88,9 @@
 $lang['piclens_label_orderID'] 			= 'Id';
 $lang['piclens_label_orderRand'] 		= 'Alleatorie';
-$lang['piclens_label_orderCat'] 		= 'Categorie';
+$lang['piclens_label_orderCat'] 		= 'Album';
 $lang['piclens_label_orderRank'] 		= 'Rang';
 
 $lang['piclens_label_sortHome'] 		= 'Piclens sulla pagina principale';
-$lang['piclens_label_sortCat'] 			= 'Piclens sulle categorie';
+$lang['piclens_label_sortCat'] 			= 'Piclens su gli album';
 
 $lang['piclens_label_sortPiwigo']		= $lang['piclens_label_orderPiwigo'];
@@ -104,10 +104,10 @@
 $lang['piclens_label_Name1']			= 'Nome miniatura : dimensione';
 $lang['piclens_label_Name2']			= 'Nome miniatura';
-$lang['piclens_label_Name3']			= 'Nome del\'immagine';
+$lang['piclens_label_Name3']			= 'Nome della foto';
 $lang['piclens_label_Name4']			= 'Niente';
 
 $lang['piclens_label_Desc1']			= $lang['piclens_label_Name4'];
 $lang['piclens_label_Desc2']			= $lang['piclens_label_Name3'];
-$lang['piclens_label_Desc3']			= 'Descrizione del\'immagine';
+$lang['piclens_label_Desc3']			= 'Descrizione della foto';
 
 
@@ -134,8 +134,8 @@
 $lang['piclens_wallcfg_transparent']	= 'Modo "Transparente" per il muro. <i>Necessario per certi temi horizontali</i>';
 $lang['piclens_wallcfg_param']			= 'Parametri per il muro 3D Cooliris :';
-$lang['piclens_wallcfg_paramNORM']		= 'Standard, tutte le categorie prese in conto (idem parametri Piclens)';
-$lang['piclens_wallcfg_paramSPEC']		= 'Specifico (configurazione delle categorie qui sotto)';
-$lang['piclens_wallcfg_cat_nav']		= 'Rimpiazamento della navigazione delle miniature nelle categorie dal mur 3D';
-$lang['piclens_wallcfg_cat_nav1']		= 'Categorie per lesquali il muro 3D rimpiazza la navigazione :';
+$lang['piclens_wallcfg_paramNORM']		= 'Standard, tutti gli album presi in conto (idem parametri Piclens)';
+$lang['piclens_wallcfg_paramSPEC']		= 'Specifico (configurazione degli album qui sotto)';
+$lang['piclens_wallcfg_cat_nav']		= 'Rimpiazamento della navigazione delle miniature negli album dal mur 3D';
+$lang['piclens_wallcfg_cat_nav1']		= 'Album per i quali il muro 3D rimpiazza la navigazione :';
 
 $lang['piclens_wallcfg_swflocal'] 		= '[Opzionale] Utilizzo del file flash (swf) locale per il muro 3D al posto del sito Cooliris <b>[In questo caso, non cè bisogno del file crossdomain.xml]</b>';
@@ -143,5 +143,5 @@
 $lang['piclens_wallcfg_nbligne']        = 'Numero di righe del muro visualizzate ';
 
-$lang['piclens_wallcfg_cat']			= 'Categorie prese in conto del muro 3D Cooliris (se parametrate \'in un modo specifico\') :';
+$lang['piclens_wallcfg_cat']			= 'Album presi in conto del muro 3D Cooliris (se parametrate \'in un modo specifico\') :';
 
 $lang['piclens_wallcfg_spec_nav']		= 'Rimpiazzo della navigazione delle pagine speciali con il muro 3D';
@@ -162,6 +162,6 @@
 $lang['piclens_wallcfg_colorL']         = 'Light';
 $lang['piclens_wallcfg_showChrome']     = 'Visualizzazione della barra "chrome" sotto al muro';
-$lang['piclens_wallcfg_showDescription'] = 'Visualizzazione delle descrizioni delle immagini';
-$lang['piclens_wallcfg_showReflections'] = 'Visualizzazione del riflesso delle immagini';
+$lang['piclens_wallcfg_showDescription'] = 'Visualizzazione delle descrizioni delle foto';
+$lang['piclens_wallcfg_showReflections'] = 'Visualizzazione del riflesso delle foto';
 $lang['piclens_wallcfg_showTutorial']   = 'Visualizzazione del aiuto al avvio del muro';
 $lang['piclens_wallcfg_showNavArrows']  = 'Visualizzazione delle frecce laterali';
@@ -170,7 +170,7 @@
 $lang['piclens_wallcfg_tilt']			= 'Inclinamento del muro [0-5]';
 $lang['piclens_wallcfg_backgroundColor'] = 'Colore dello sfondo';
-$lang['piclens_wallcfg_glowColor']		= 'Colore dello sfondo del\'immagine selezionata';
-$lang['piclens_wallcfg_backgroundImage'] = 'URL del\'immagine dello sfondo';
-$lang['piclens_wallcfg_tutorial']		= 'URL del\'immagine del tutoriale iniziale';
+$lang['piclens_wallcfg_glowColor']		= 'Colore dello sfondo della foto selezionata';
+$lang['piclens_wallcfg_backgroundImage'] = 'URL della foto dello sfondo';
+$lang['piclens_wallcfg_tutorial']		= 'URL della foto del tutoriale iniziale';
 $lang['piclens_wallcfg_tutorialtime']   = 'Tempo di visualizzazione del tutoriale';
 $lang['piclens_wallcfg_customButtonURL'] = 'URL di un\'icona giù a destra del muro';
@@ -184,18 +184,18 @@
 
 //legende
-$lang['piclens_picture_legend']	    = 'Immagine';
-$lang['piclens_cat_legend']		    = 'Categorie';
+$lang['piclens_picture_legend']	    = 'Foto';
+$lang['piclens_cat_legend']		    = 'Album';
 $lang['piclens_global_legend']		= 'Globale';
-$lang['img_id_legend']				= 'ID del\'immagine';	// %I1
-$lang['img_name_legend']			= 'Nome del\'immagine';	// %I2
-$lang['img_description_legend']		= 'Descrizione del\'immagine'; // %I3
-$lang['img_author_legend']			= 'Autore del\'immagine';	// %I4
+$lang['img_id_legend']				= 'ID della foto';	// %I1
+$lang['img_name_legend']			= 'Nome della foto';	// %I2
+$lang['img_description_legend']		= 'Descrizione della foto'; // %I3
+$lang['img_author_legend']			= 'Autore della foto';	// %I4
 $lang['img_URLThumb_legend']		= 'URL della miniatura (path non completo)'; // %I5
-$lang['img_URLNormal_legend']		= 'URL del\'immagine (path non completo)';	// %I6
-$lang['img_URLHigh_legend']			= 'URL del\'immagine in alta definizione (path non completo)';	// %I7
-$lang['img_URLPicturephp_legend']	= 'Link verso l\'immagine sotto PIWIGO (picture.php)';	//%I8
+$lang['img_URLNormal_legend']		= 'URL della foto (path non completo)';	// %I6
+$lang['img_URLHigh_legend']			= 'URL della foto in alta definizione (path non completo)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link verso la foto sotto PIWIGO (picture.php)';	//%I8
 $lang['img_URLThumbFull_legend']	= 'URL della miniatura (path completo)'; // %I9
-$lang['img_URLNormalFull_legend']	= 'URL del\'immagine (path completo)';	// %IA
-$lang['img_URLHighFull_legend']		= 'URL del\'immagine in alta definizione (path completo)';	// %IB
+$lang['img_URLNormalFull_legend']	= 'URL della foto (path completo)';	// %IA
+$lang['img_URLHighFull_legend']		= 'URL della foto in alta definizione (path completo)';	// %IB
 $lang['img_filename_legend']		= 'Nome del file immagine'; // %IC
 $lang['img_comment_legend']			= 'Ultimi commenti'; // %ID
@@ -203,17 +203,17 @@
 $lang['root_path_legend']			= 'Path di PIWIGO'; // %G1
 
-$lang['cat_id_legend']				= 'ID della categoria'; // %C1
-$lang['cat_name_legend']			= 'Nome della categoria'; // %C2
-$lang['cat_description_legend']		= 'Descrizione della categoria'; // %C3
-$lang['cat_dir_legend']				= 'Directory della categoria (path non completo)'; // %C4
-$lang['cat_dirFull_legend']			= 'Directory della categoria (path completo)'; // %C5
+$lang['cat_id_legend']				= 'ID dell\'album'; // %C1
+$lang['cat_name_legend']			= 'Nome dell\'album'; // %C2
+$lang['cat_description_legend']		= 'Descrizione dell\'album'; // %C3
+$lang['cat_dir_legend']				= 'Directory dell\'album (path non completo)'; // %C4
+$lang['cat_dirFull_legend']			= 'Directory dell\'album (path completo)'; // %C5
 // Fin legende
 
 $lang['piclens_tags_label']		= 'Tags';
-$lang['piclens_rsscfg_exclude_double']	= 'Soppressione delle doppie immagini nel flusso (stessa directory d\'accesso)';
+$lang['piclens_rsscfg_exclude_double']	= 'Soppressione delle doppie foto nel flusso (stessa directory d\'accesso)';
 $lang['piclens_rss_icon']		= 'URL dell\'icona del flusso in Cooliris';
 
-$lang['SelectedCat']		= 'Categorie selezionate';
-$lang['NonSelectedCat']		= 'Categorie non selezionate';
+$lang['SelectedCat']		= 'Album selezionati';
+$lang['NonSelectedCat']		= 'Album non selezionati';
 
 $lang['piclens_rss_title']		= 'Nome del flusso RSS generato <i>(vuoto per non visualizzarlo)</i>';