Index: /extensions/stripped/language/el_GR/index.php
===================================================================
--- /extensions/stripped/language/el_GR/index.php	(revision 10926)
+++ /extensions/stripped/language/el_GR/index.php	(revision 10926)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped/language/el_GR/theme.lang.php
===================================================================
--- /extensions/stripped/language/el_GR/theme.lang.php	(revision 10926)
+++ /extensions/stripped/language/el_GR/theme.lang.php	(revision 10926)
@@ -0,0 +1,26 @@
+<?php
+
+$lang['Show/hide menu'] = 'Εμφάνιση/Απόκρυψη μενού';
+$lang['Description'] = 'Περιγραφή';
+$lang['Informations'] = 'Πληροφορίες';
+$lang['GMap'] = 'Χάρτης';
+
+$lang['Interface options']='Ρυθμίσεις εμφάνισης';
+$lang['Hide menu by default on category page']='Το μενού να κρύβεται στα λευκώματα';
+$lang['Animate menu']='Εφέ κίνησης στο μενού';
+$lang['Animate tabs on picture page']='Εφέ κίνησης στις καρτέλες κάτω από τις φωτογραφίες';
+$lang['Replace all icons by ALT text']='Όλα τα εικονίδια να αντικασταθούν από κείμενο';
+$lang['Force text to lowercase']='Μετατροπή όλων των χαρακτήρων στα κείμενα σε πεζούς';
+$lang['Picture page options']='Ρυθμίσεις για τις σελίδες των φωτογραφιών';
+$lang['Show image title on top of the page (after browse path)']='Ο τίτλος της φωτογραφίας να φαίνεται ψηλά, δίπλα από το τίτλο του λευκώματος';
+$lang['Show description instead of title below image']='Να φαίνεται η περιγραφή αντί για το τίτλο κάτω από τη φωτογραφία';
+$lang['Use arrows instead of navigation thumbnails']='Χρήση βελών αντί για μικρογραφίες για την περιήγηση στις φωτογραφίες';
+$lang['Show Information tab only to admins']='Η καρτέλα «πληροφορίες» να φαίνεται μόνο στους διαχειριστές';
+$lang['Image autosize options']='Ρυθμίσεις αυτόματης προσαρμογής των διαστάσεων των φωτογραφιών';
+$lang['Resize image to fit window']='Προσαρμογή των φωτογραφιών για να χωρούν στο παράθυρο';
+$lang['Include title after resize']='Να περιλαμβάνεται ο τίτλος μετά την προσαρμογή';
+$lang['Additional bottom margin after resize']='Επιπλέον χώρος στο κάτω μέρος μετά την προσαρμογή';
+$lang['Minimum image height after resize']='Ελάχιστο ύψος φωτογραφίας μετά την προσαρμογή';
+$lang['stripped Configuration updated']='οι ρυθμίσεις του θέματος «stripped» ενημερώθηκαν';
+
+?>