Index: /extensions/paMOOramics/admin.css
===================================================================
--- /extensions/paMOOramics/admin.css	(revision 10928)
+++ /extensions/paMOOramics/admin.css	(revision 10928)
@@ -0,0 +1,18 @@
+#paMOOfieldset {
+	background: url('moo.jpg') bottom left no-repeat;
+}
+#colorpicker{
+	float:right;
+	margin-left:10px;
+}
+
+.paMOOlabel{
+	text-align:right;
+}
+
+.paMOOfield{
+	width:60px;
+}
+#paMOOtable{
+	margin-right:0;
+}
Index: /extensions/paMOOramics/admin.php
===================================================================
--- /extensions/paMOOramics/admin.php	(revision 10928)
+++ /extensions/paMOOramics/admin.php	(revision 10928)
@@ -0,0 +1,66 @@
+<?php
+load_language('plugin.lang', PAMOORAMICS_PATH);
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+$me = get_plugin_data($plugin_id);
+if ( isset($_POST['submit']) )
+{
+	$me->my_config['paMOOramics_mode']				= $_POST['paMOOramics_mode'];
+	$me->my_config['paMOOramics_use_name'] 			= isset($_POST['paMOOramics_use_name']) ? "true" : "false";
+	$me->my_config['paMOOramics_name'] 				= $_POST['paMOOramics_name'];
+	$me->my_config['paMOOramics_use_ratio'] 		= isset($_POST['paMOOramics_use_ratio']) ? "true" : "false";
+	$me->my_config['paMOOramics_ratio'] 			= $_POST['paMOOramics_ratio'];
+	$me->my_config['paMOOramics_width'] 			= $_POST['paMOOramics_width'];
+	$me->my_config['paMOOramics_border']			= $_POST['paMOOramics_border'];
+	$me->my_config['paMOOramics_bordercolor']		= $_POST['paMOOramics_bordercolor'];
+	$me->my_config['paMOOramics_footercolor']		= $_POST['paMOOramics_footercolor'];
+	$me->my_config['paMOOramics_captioncolor']		= $_POST['paMOOramics_captioncolor'];
+	$me->my_config['paMOOramics_autoscrollSpeed']	= $_POST['paMOOramics_autoscrollSpeed'];
+	$me->my_config['paMOOramics_activateSlider'] 	= isset($_POST['paMOOramics_activateSlider']) ? "true" : "false";
+	$me->my_config['paMOOramics_enableAutoscroll']	= isset($_POST['paMOOramics_enableAutoscroll']) ? "true" : "false";
+	$me->my_config['paMOOramics_autoscrollOnLoad'] 	= isset($_POST['paMOOramics_autoscrollOnLoad']) ? "true" : "false";
+	$me->my_config['paMOOramics_displayfooter']		= isset($_POST['paMOOramics_displayfooter']) ? "display:none;" : "";
+	$me->my_config['pamooramics_Slideshow_displayfooter']= isset($_POST['pamooramics_Slideshow_displayfooter']) ? "display:none;" : "";
+	$me->save_config();
+
+}
+
+global $template;
+$template->set_filenames( array('paMOOramics_admin_content' => dirname(__FILE__).'/admin.tpl') );
+$template->append('head_elements',
+		   '<script type="text/javascript" src="./plugins/paMOOramics/farbtastic/farbtastic.js"></script>
+<link rel="stylesheet" type="text/css"
+      href="./plugins/paMOOramics/farbtastic/farbtastic.css" />
+<link rel="stylesheet" type="text/css"
+      href="./plugins/paMOOramics/admin.css" />');
+
+$template->assign('PAMOORAMICS_NAME', 				$me->my_config['paMOOramics_name']);
+$template->assign('PAMOORAMICS_RATIO', 				$me->my_config['paMOOramics_ratio']);
+$template->assign('PAMOORAMICS_WIDTH', 				$me->my_config['paMOOramics_width']);
+$template->assign('PAMOORAMICS_BORDER', 			$me->my_config['paMOOramics_border']);
+$template->assign('PAMOORAMICS_BORDERCOLOR', 		$me->my_config['paMOOramics_bordercolor']);
+$template->assign('PAMOORAMICS_FOOTERCOLOR', 		$me->my_config['paMOOramics_footercolor']);
+$template->assign('PAMOORAMICS_CAPTIONCOLOR', 		$me->my_config['paMOOramics_captioncolor']);
+$template->assign('PAMOORAMICS_AUTOSCROLLSPEED', 	$me->my_config['paMOOramics_autoscrollSpeed']);
+
+if ($me->my_config['paMOOramics_activateSlider']=='true')
+	$template->assign('PAMOORAMICS_ACTIVATESLIDER','checked');
+if ($me->my_config['paMOOramics_enableAutoscroll']=='true')
+	$template->assign('PAMOORAMICS_ENABLEAUTOSCROLL','checked');
+if ($me->my_config['paMOOramics_autoscrollOnLoad']=='true')
+	$template->assign('PAMOORAMICS_AUTOSCROLLONLOAD','checked');
+if ($me->my_config['paMOOramics_displayfooter']=='display:none;')
+	$template->assign('PAMOORAMICS_DISPLAYFOOTER','checked');
+if ($me->my_config['pamooramics_Slideshow_displayfooter']=='display:none;')
+	$template->assign('PAMOORAMICS_SLIDE_DISPLAYFOOTER','checked');
+
+
+
+if ($me->my_config['paMOOramics_mode']=='modename')
+	$template->assign('PAMOORAMICS_USENAME','checked');
+if ($me->my_config['paMOOramics_mode']=='moderatio')
+	$template->assign('PAMOORAMICS_USERATIO','checked');
+
+
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'paMOOramics_admin_content');
+?>
Index: /extensions/paMOOramics/admin.tpl
===================================================================
--- /extensions/paMOOramics/admin.tpl	(revision 10928)
+++ /extensions/paMOOramics/admin.tpl	(revision 10928)
@@ -0,0 +1,125 @@
+<div class="titrePage">
+  <h2>paMOOramics</h2>
+</div>
+<p>
+
+
+{'pamooramics_description'|@translate} :<br />
+<a href="http://www.silverscripting.com/pamoorama/index.php">PAMOORAMA</a> ({'pamooramics_by'|@translate} SilverTab)
+{'pamooramics_and'|@translate} <a href="http://www.mootools.net/">MOOTOOLS</A><br/>
+
+<br/>
+
+
+</p>
+<form method="post" action="{$TESTPLUGIN_F_ACTION}" class="general">
+ <fieldset id="paMOOfieldset">
+  <legend>{'pamooramics_admin_form_legend'|@translate}</legend>
+  <div id="colorpicker"></div>
+  <table id="paMOOtable">
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_use_name'|@translate}</td>
+    <td><input type="radio" id="paMOOramics_mode" name="paMOOramics_mode" value="modename" {$PAMOORAMICS_USENAME} /></td>
+   </tr>
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_name'|@translate}</td>
+    <td><input type="text" class="paMOOfield" name="paMOOramics_name" value="{$PAMOORAMICS_NAME}" width="200px;"/></td>
+   </tr>
+  <tr>
+    <td class="paMOOlabel">{'pamooramics_use_ratio'|@translate}</td>
+    <td><input type="radio" id="paMOOramics_mode" name="paMOOramics_mode"  value="moderatio" {$PAMOORAMICS_USERATIO} /></td>
+   </tr>
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_ratio'|@translate}</td>
+    <td><input type="text" class="paMOOfield" name="paMOOramics_ratio" value="{$PAMOORAMICS_RATIO}" /></td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_width'|@translate}</td>
+    <td><input type="text" name="paMOOramics_width" class="paMOOfield" value="{$PAMOORAMICS_WIDTH}" /> px</td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_border_size'|@translate}</td>
+    <td><input type="text" name="paMOOramics_border" class="paMOOfield" value="{$PAMOORAMICS_BORDER}" /> px</td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_border_color'|@translate}</td>
+    <td><input type="text" name="paMOOramics_bordercolor" id="paMOOramics_bordercolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_BORDERCOLOR}" /></td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_footer_color'|@translate}</td>
+    <td><input type="text" name="paMOOramics_footercolor" id="paMOOramics_footercolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_FOOTERCOLOR}" /></td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_caption_color'|@translate}</td>
+    <td><input type="text" name="paMOOramics_captioncolor" id="paMOOramics_captioncolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_CAPTIONCOLOR}" /></td>
+   </tr>
+
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_autoscroll_speed'|@translate}</td>
+    <td><input type="text" name="paMOOramics_autoscrollSpeed" class="paMOOfield" value="{$PAMOORAMICS_AUTOSCROLLSPEED}" /> ms</td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_activateslider'|@translate}</td>
+    <td><input type="checkbox" name="paMOOramics_activateSlider" id="paMOOramics_activateSlider" {$PAMOORAMICS_ACTIVATESLIDER} /></td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_enable_autoscroll'|@translate}</td>
+    <td><input type="checkbox" name="paMOOramics_enableAutoscroll" id="paMOOramics_enableAutoscroll" onClick="Pamooscript()" {$PAMOORAMICS_ENABLEAUTOSCROLL} /></td>
+   </tr>
+
+   <tr>
+    <td class="paMOOlabel">{'pamooramics_autoscroll_onload'|@translate}</td>
+    <td><input type="checkbox" id="paMOOramics_autoscrollOnLoad" name="paMOOramics_autoscrollOnLoad" {$PAMOORAMICS_AUTOSCROLLONLOAD} /></td>
+   </tr>
+
+   <tr>
+       <td class="paMOOlabel">{'pamooramics_displayfooter'|@translate}</td>
+       <td><input type="checkbox" id="paMOOramics_displayfooter" name="paMOOramics_displayfooter" onClick="if (this.checked) {ldelim}document.getElementById('paMOOramics_activateSlider').checked=true;}" {$PAMOORAMICS_DISPLAYFOOTER} /></td>
+   </tr>
+   <tr>
+   		<td class="paMOOlabel">{'pamooramics_Slideshow_displayfooter'|@translate}</td>
+     	<td><input type="checkbox" name="pamooramics_Slideshow_displayfooter" id="pamooramics_Slideshow_displayfooter" {$PAMOORAMICS_SLIDE_DISPLAYFOOTER} /></td>
+   </tr>
+  </table>
+ </fieldset>
+
+
+
+
+
+
+
+
+ <p><input type="submit" value="{'pamooramics_save_config'|@translate}" name="submit" /></p>
+</form>
+
+<script type="text/javascript" charset="utf-8">
+ $(document).ready(function() {ldelim}
+     var f = $.farbtastic('#colorpicker');
+     var selected;
+     $('.colorwell')
+       .each(function () {ldelim} f.linkTo(this);  })
+       .focus(function() {ldelim}
+       	f.linkTo(this);
+
+       });
+  });
+function Pamooscript(){ldelim}
+  	if (!document.getElementById("paMOOramics_enableAutoscroll").checked) {ldelim}
+  		document.getElementById("paMOOramics_autoscrollOnLoad").disabled=true;
+  		document.getElementById("paMOOramics_autoscrollOnLoad").checked=false;
+  	}
+  	else {ldelim}
+  		document.getElementById("paMOOramics_autoscrollOnLoad").disabled=false;
+  	}
+}
+
+</script>
Index: /extensions/paMOOramics/main.inc.php
===================================================================
--- /extensions/paMOOramics/main.inc.php	(revision 10927)
+++ /extensions/paMOOramics/main.inc.php	(revision 10928)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: paMOOramics
-Version: 2.0.a
+Version: 2.1
 Description: Display panoramics images using pamoorama script by silvertab (powered by mootools)
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=213
@@ -20,5 +20,5 @@
 	            array(
 	                'NAME' => 'paMOOramics',
-	                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/paMOOramics_admin.php')
+	                'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
 	            )
 	        );
Index: tensions/paMOOramics/paMOOramics_admin.css
===================================================================
--- /extensions/paMOOramics/paMOOramics_admin.css	(revision 10927)
+++ 	(revision )
@@ -1,18 +1,0 @@
-#paMOOfieldset {
-	background: url('moo.jpg') bottom left no-repeat;
-}
-#colorpicker{
-	float:right;
-	margin-left:10px;
-}
-
-.paMOOlabel{
-	text-align:right;
-}
-
-.paMOOfield{
-	width:60px;
-}
-#paMOOtable{
-	margin-right:0;
-}
Index: tensions/paMOOramics/paMOOramics_admin.php
===================================================================
--- /extensions/paMOOramics/paMOOramics_admin.php	(revision 10927)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?php
-load_language('plugin.lang', PAMOORAMICS_PATH);
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-$me = get_plugin_data($plugin_id);
-if ( isset($_POST['submit']) )
-{
-	$me->my_config['paMOOramics_mode']				= $_POST['paMOOramics_mode'];
-	$me->my_config['paMOOramics_use_name'] 			= isset($_POST['paMOOramics_use_name']) ? "true" : "false";
-	$me->my_config['paMOOramics_name'] 				= $_POST['paMOOramics_name'];
-	$me->my_config['paMOOramics_use_ratio'] 		= isset($_POST['paMOOramics_use_ratio']) ? "true" : "false";
-	$me->my_config['paMOOramics_ratio'] 			= $_POST['paMOOramics_ratio'];
-	$me->my_config['paMOOramics_width'] 			= $_POST['paMOOramics_width'];
-	$me->my_config['paMOOramics_border']			= $_POST['paMOOramics_border'];
-	$me->my_config['paMOOramics_bordercolor']		= $_POST['paMOOramics_bordercolor'];
-	$me->my_config['paMOOramics_footercolor']		= $_POST['paMOOramics_footercolor'];
-	$me->my_config['paMOOramics_captioncolor']		= $_POST['paMOOramics_captioncolor'];
-	$me->my_config['paMOOramics_autoscrollSpeed']	= $_POST['paMOOramics_autoscrollSpeed'];
-	$me->my_config['paMOOramics_activateSlider'] 	= isset($_POST['paMOOramics_activateSlider']) ? "true" : "false";
-	$me->my_config['paMOOramics_enableAutoscroll']	= isset($_POST['paMOOramics_enableAutoscroll']) ? "true" : "false";
-	$me->my_config['paMOOramics_autoscrollOnLoad'] 	= isset($_POST['paMOOramics_autoscrollOnLoad']) ? "true" : "false";
-	$me->my_config['paMOOramics_displayfooter']		= isset($_POST['paMOOramics_displayfooter']) ? "display:none;" : "";
-	$me->my_config['pamooramics_Slideshow_displayfooter']= isset($_POST['pamooramics_Slideshow_displayfooter']) ? "display:none;" : "";
-	$me->save_config();
-
-}
-
-global $template;
-$template->set_filenames( array('paMOOramics_admin_content' => dirname(__FILE__).'/paMOOramics_admin.tpl') );
-$template->append('head_elements',
-		   '<script type="text/javascript" src="./plugins/paMOOramics/farbtastic/farbtastic.js"></script>
-<link rel="stylesheet" type="text/css"
-      href="./plugins/paMOOramics/farbtastic/farbtastic.css" />
-<link rel="stylesheet" type="text/css"
-      href="./plugins/paMOOramics/paMOOramics_admin.css" />');
-
-$template->assign('PAMOORAMICS_NAME', 				$me->my_config['paMOOramics_name']);
-$template->assign('PAMOORAMICS_RATIO', 				$me->my_config['paMOOramics_ratio']);
-$template->assign('PAMOORAMICS_WIDTH', 				$me->my_config['paMOOramics_width']);
-$template->assign('PAMOORAMICS_BORDER', 			$me->my_config['paMOOramics_border']);
-$template->assign('PAMOORAMICS_BORDERCOLOR', 		$me->my_config['paMOOramics_bordercolor']);
-$template->assign('PAMOORAMICS_FOOTERCOLOR', 		$me->my_config['paMOOramics_footercolor']);
-$template->assign('PAMOORAMICS_CAPTIONCOLOR', 		$me->my_config['paMOOramics_captioncolor']);
-$template->assign('PAMOORAMICS_AUTOSCROLLSPEED', 	$me->my_config['paMOOramics_autoscrollSpeed']);
-
-if ($me->my_config['paMOOramics_activateSlider']=='true')
-	$template->assign('PAMOORAMICS_ACTIVATESLIDER','checked');
-if ($me->my_config['paMOOramics_enableAutoscroll']=='true')
-	$template->assign('PAMOORAMICS_ENABLEAUTOSCROLL','checked');
-if ($me->my_config['paMOOramics_autoscrollOnLoad']=='true')
-	$template->assign('PAMOORAMICS_AUTOSCROLLONLOAD','checked');
-if ($me->my_config['paMOOramics_displayfooter']=='display:none;')
-	$template->assign('PAMOORAMICS_DISPLAYFOOTER','checked');
-if ($me->my_config['pamooramics_Slideshow_displayfooter']=='display:none;')
-	$template->assign('PAMOORAMICS_SLIDE_DISPLAYFOOTER','checked');
-
-
-
-if ($me->my_config['paMOOramics_mode']=='modename')
-	$template->assign('PAMOORAMICS_USENAME','checked');
-if ($me->my_config['paMOOramics_mode']=='moderatio')
-	$template->assign('PAMOORAMICS_USERATIO','checked');
-
-
-$template->assign_var_from_handle( 'ADMIN_CONTENT', 'paMOOramics_admin_content');
-?>
Index: tensions/paMOOramics/paMOOramics_admin.tpl
===================================================================
--- /extensions/paMOOramics/paMOOramics_admin.tpl	(revision 10927)
+++ 	(revision )
@@ -1,125 +1,0 @@
-<div class="titrePage">
-  <h2>paMOOramics</h2>
-</div>
-<p>
-
-
-{'pamooramics_description'|@translate} :<br />
-<a href="http://www.silverscripting.com/pamoorama/index.php">PAMOORAMA</a> ({'pamooramics_by'|@translate} SilverTab)
-{'pamooramics_and'|@translate} <a href="http://www.mootools.net/">MOOTOOLS</A><br/>
-
-<br/>
-
-
-</p>
-<form method="post" action="{$TESTPLUGIN_F_ACTION}" class="general">
- <fieldset id="paMOOfieldset">
-  <legend>{'pamooramics_admin_form_legend'|@translate}</legend>
-  <div id="colorpicker"></div>
-  <table id="paMOOtable">
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_use_name'|@translate}</td>
-    <td><input type="radio" id="paMOOramics_mode" name="paMOOramics_mode" value="modename" {$PAMOORAMICS_USENAME} /></td>
-   </tr>
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_name'|@translate}</td>
-    <td><input type="text" class="paMOOfield" name="paMOOramics_name" value="{$PAMOORAMICS_NAME}" width="200px;"/></td>
-   </tr>
-  <tr>
-    <td class="paMOOlabel">{'pamooramics_use_ratio'|@translate}</td>
-    <td><input type="radio" id="paMOOramics_mode" name="paMOOramics_mode"  value="moderatio" {$PAMOORAMICS_USERATIO} /></td>
-   </tr>
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_ratio'|@translate}</td>
-    <td><input type="text" class="paMOOfield" name="paMOOramics_ratio" value="{$PAMOORAMICS_RATIO}" /></td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_width'|@translate}</td>
-    <td><input type="text" name="paMOOramics_width" class="paMOOfield" value="{$PAMOORAMICS_WIDTH}" /> px</td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_border_size'|@translate}</td>
-    <td><input type="text" name="paMOOramics_border" class="paMOOfield" value="{$PAMOORAMICS_BORDER}" /> px</td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_border_color'|@translate}</td>
-    <td><input type="text" name="paMOOramics_bordercolor" id="paMOOramics_bordercolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_BORDERCOLOR}" /></td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_footer_color'|@translate}</td>
-    <td><input type="text" name="paMOOramics_footercolor" id="paMOOramics_footercolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_FOOTERCOLOR}" /></td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_caption_color'|@translate}</td>
-    <td><input type="text" name="paMOOramics_captioncolor" id="paMOOramics_captioncolor" class="paMOOfield colorwell" value="{$PAMOORAMICS_CAPTIONCOLOR}" /></td>
-   </tr>
-
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_autoscroll_speed'|@translate}</td>
-    <td><input type="text" name="paMOOramics_autoscrollSpeed" class="paMOOfield" value="{$PAMOORAMICS_AUTOSCROLLSPEED}" /> ms</td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_activateslider'|@translate}</td>
-    <td><input type="checkbox" name="paMOOramics_activateSlider" id="paMOOramics_activateSlider" {$PAMOORAMICS_ACTIVATESLIDER} /></td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_enable_autoscroll'|@translate}</td>
-    <td><input type="checkbox" name="paMOOramics_enableAutoscroll" id="paMOOramics_enableAutoscroll" onClick="Pamooscript()" {$PAMOORAMICS_ENABLEAUTOSCROLL} /></td>
-   </tr>
-
-   <tr>
-    <td class="paMOOlabel">{'pamooramics_autoscroll_onload'|@translate}</td>
-    <td><input type="checkbox" id="paMOOramics_autoscrollOnLoad" name="paMOOramics_autoscrollOnLoad" {$PAMOORAMICS_AUTOSCROLLONLOAD} /></td>
-   </tr>
-
-   <tr>
-       <td class="paMOOlabel">{'pamooramics_displayfooter'|@translate}</td>
-       <td><input type="checkbox" id="paMOOramics_displayfooter" name="paMOOramics_displayfooter" onClick="if (this.checked) {ldelim}document.getElementById('paMOOramics_activateSlider').checked=true;}" {$PAMOORAMICS_DISPLAYFOOTER} /></td>
-   </tr>
-   <tr>
-   		<td class="paMOOlabel">{'pamooramics_Slideshow_displayfooter'|@translate}</td>
-     	<td><input type="checkbox" name="pamooramics_Slideshow_displayfooter" id="pamooramics_Slideshow_displayfooter" {$PAMOORAMICS_SLIDE_DISPLAYFOOTER} /></td>
-   </tr>
-  </table>
- </fieldset>
-
-
-
-
-
-
-
-
- <p><input type="submit" value="{'pamooramics_save_config'|@translate}" name="submit" /></p>
-</form>
-
-<script type="text/javascript" charset="utf-8">
- $(document).ready(function() {ldelim}
-     var f = $.farbtastic('#colorpicker');
-     var selected;
-     $('.colorwell')
-       .each(function () {ldelim} f.linkTo(this);  })
-       .focus(function() {ldelim}
-       	f.linkTo(this);
-
-       });
-  });
-function Pamooscript(){ldelim}
-  	if (!document.getElementById("paMOOramics_enableAutoscroll").checked) {ldelim}
-  		document.getElementById("paMOOramics_autoscrollOnLoad").disabled=true;
-  		document.getElementById("paMOOramics_autoscrollOnLoad").checked=false;
-  	}
-  	else {ldelim}
-  		document.getElementById("paMOOramics_autoscrollOnLoad").disabled=false;
-  	}
-}
-
-</script>