Index: /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 10942)
+++ /extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 10943)
@@ -186,5 +186,5 @@
 		$query = '
 	  	UPDATE '.CONFIG_TABLE.'
-	  	SET value="'.addslashes($conf['UserAdvManager']).'"
+	  	SET value="'.pwg_db_real_escape_string($conf['UserAdvManager']).'"
 	  	WHERE param="UserAdvManager"
 	  	LIMIT 1
@@ -215,5 +215,5 @@
 	  $query = '
       UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($conf['UserAdvManager_ConfirmMail']).'"
+			SET value="'.pwg_db_real_escape_string($conf['UserAdvManager_ConfirmMail']).'"
 			WHERE param="UserAdvManager_ConfirmMail"
 			LIMIT 1
Index: /extensions/UserAdvManager/branches/2.20/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 10942)
+++ /extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 10943)
@@ -248,4 +248,6 @@
 -- 2.20.6 : Improve database update process
             Bug 2289 fixed - "Password in clear text in the information email" was working in a reverse logic
+
+-- 2.20.7 : Use pwg_db_real_escape_string() instead of addslashes()
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php	(revision 10942)
+++ /extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php	(revision 10943)
@@ -180,5 +180,5 @@
   $query = '
 UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($upgrade_UAM)).'"
+  SET value = "'.pwg_db_real_escape_string(serialize($upgrade_UAM)).'"
   WHERE param = "nbc_UserAdvManager"
 ;';
@@ -191,5 +191,5 @@
     $query = '
 UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($data)).'"
+  SET value = "'.pwg_db_real_escape_string(serialize($data)).'"
   WHERE param = "nbc_UserAdvManager_ConfirmMail"
 ;';
@@ -241,5 +241,5 @@
   $query = '
       UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($update_conf).'"
+			SET value="'.pwg_db_real_escape_string($update_conf).'"
 			WHERE param="UserAdvManager_ConfirmMail"
 			LIMIT 1
@@ -297,5 +297,5 @@
   $query = '
       UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($update_conf).'"
+			SET value="'.pwg_db_real_escape_string($update_conf).'"
 			WHERE param="UserAdvManager"
 			LIMIT 1
@@ -343,5 +343,5 @@
   $query = '
       UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($update_conf).'"
+			SET value="'.pwg_db_real_escape_string($update_conf).'"
 			WHERE param="UserAdvManager"
 			LIMIT 1
@@ -389,5 +389,5 @@
   $query = '
 UPDATE '.CONFIG_TABLE.'
-SET value="'.addslashes($update_conf).'"
+SET value="'.pwg_db_real_escape_string($update_conf).'"
 WHERE param="UserAdvManager"
 LIMIT 1
@@ -446,5 +446,5 @@
   $query = '
 UPDATE '.CONFIG_TABLE.'
-SET value="'.addslashes($update_conf).'"
+SET value="'.pwg_db_real_escape_string($update_conf).'"
 WHERE param="UserAdvManager"
 LIMIT 1
Index: /extensions/UserAdvManager/branches/2.20/main.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 10942)
+++ /extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 10943)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.20.6
+Version: 2.20.7
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216
Index: /extensions/UserAdvManager/branches/2.20/maintain.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.20/maintain.inc.php	(revision 10942)
+++ /extensions/UserAdvManager/branches/2.20/maintain.inc.php	(revision 10943)
@@ -35,5 +35,5 @@
     $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("UserAdvManager","'.addslashes(serialize($default1)).'","UAM parameters")
+VALUES ("UserAdvManager","'.pwg_db_real_escape_string(serialize($default1)).'","UAM parameters")
   ;';
     pwg_query($q);
@@ -62,5 +62,5 @@
     $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-VALUES ("UserAdvManager_ConfirmMail","'.addslashes(serialize($default2)).'","UAM ConfirmMail parameters")
+VALUES ("UserAdvManager_ConfirmMail","'.pwg_db_real_escape_string(serialize($default2)).'","UAM ConfirmMail parameters")
   ;';
     pwg_query($q);