Index: /trunk/plugins/admin_multi_view/language/sv_SE/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/sv_SE/description.txt	(revision 10955)
+++ /trunk/plugins/admin_multi_view/language/sv_SE/description.txt	(revision 10955)
@@ -0,0 +1,1 @@
+Tilllåter administratör att se gallerier som gäst och/eller ändra språk eller tema direkt. Prakiskt vid debug av ändringar...
Index: /trunk/plugins/admin_multi_view/language/sv_SE/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/sv_SE/index.php	(revision 10955)
+++ /trunk/plugins/admin_multi_view/language/sv_SE/index.php	(revision 10955)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/sv_SE/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/sv_SE/description.txt	(revision 10955)
+++ /trunk/plugins/c13y_upgrade/language/sv_SE/description.txt	(revision 10955)
@@ -0,0 +1,1 @@
+Kolla ändringarnas integritet.
Index: /trunk/plugins/c13y_upgrade/language/sv_SE/index.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/sv_SE/index.php	(revision 10955)
+++ /trunk/plugins/c13y_upgrade/language/sv_SE/index.php	(revision 10955)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/sv_SE/plugin.lang.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/sv_SE/plugin.lang.php	(revision 10955)
+++ /trunk/plugins/c13y_upgrade/language/sv_SE/plugin.lang.php	(revision 10955)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
+$lang['c13y_upgrade_no_anomaly'] = 'Igget onormalt upptäkt efter uppdatering av applikationen, "Kolla uppdateringar" plugin deaktiverades.';
+$lang['c13y_dbl_email_user'] = 'Änvändare med samma e-postadress';
+$lang['c13y_correction_dbl_email_user'] = 'Ta bort dubbla änvändare';
+$lang['c13y_obsolete_plugin'] = 'Utången plugin';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" plugin har  inkluderats i denna applikationsversion och du måste avinstallera den.';
+
+?>
Index: /trunk/plugins/language_switch/language/sv_SE/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/sv_SE/description.txt	(revision 10955)
+++ /trunk/plugins/language_switch/language/sv_SE/description.txt	(revision 10955)
@@ -0,0 +1,1 @@
+Byt till annat språk via flaggorna på dit galleri's hemsida.
Index: /trunk/plugins/language_switch/language/sv_SE/index.php
===================================================================
--- /trunk/plugins/language_switch/language/sv_SE/index.php	(revision 10955)
+++ /trunk/plugins/language_switch/language/sv_SE/index.php	(revision 10955)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>